Bug Hunting Session
Bug 114299 - Notebookbar Groupedbar not drawn (80%) after opening and closing Print Preview
Summary: Notebookbar Groupedbar not drawn (80%) after opening and closing Print Preview
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.beta1
Hardware: All All
: medium minor
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.1.0 target:6.0.2
Keywords:
Depends on:
Blocks: Notebookbar-Groupedbar
  Show dependency treegraph
 
Reported: 2017-12-07 06:34 UTC by Ljiljan
Modified: 2018-02-16 14:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshots (206.57 KB, application/pdf)
2017-12-17 06:40 UTC, Ljiljan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ljiljan 2017-12-07 06:34:24 UTC
Description:
In Writer (but also in Calc), Notebookbar is not shown completely (just maybe 80% of it). The only way to have it back is to switch between different Notebookbar options or to reopen the program. 

Steps to Reproduce:
1. Open Writer
2. Open Print Preview
3. Exit Print  Preview

Actual Results:  
Notebookbar is not shown completely

Expected Results:
Notebookbar show be displayed just as before opening Print Preview


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: TextDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36
Comment 1 Buovjaga 2017-12-16 18:35:13 UTC
No repro. Tried with kd4 and gtk3.
Please copy and paste here the contents of your Help - About.

A screenshot would be nice as well.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 1390c91c7584a89298906849cdabae131f8a6191
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on December 14th 2017
Comment 2 Ljiljan 2017-12-17 06:40:11 UTC
Created attachment 138479 [details]
screenshots

Version: 6.0.0.0.beta1
Build ID: 97471ab4eb4db4c487195658631696bb3238656c
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: bs-BA (en_US.UTF-8); Calc: group threaded
Comment 3 Buovjaga 2017-12-17 07:06:20 UTC
Ok, it's not dependent on the VCL, but the Notebookbar variant.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 1390c91c7584a89298906849cdabae131f8a6191
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on December 14th 2017
Comment 4 Yousuf Philips (jay) (retired) 2018-02-09 10:04:42 UTC
Patch - https://gerrit.libreoffice.org/#/c/49480/
Comment 5 Commit Notification 2018-02-09 20:16:27 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bbc4f9fee81656c618329cee088d9eedd9a1c457

tdf#114299 Ensure groupedbar full works in print preview mode

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-02-16 14:22:57 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5dc4af8e53180aa1cd39ec54262e91ad2d0510b&h=libreoffice-6-0

tdf#114299 Ensure groupedbar full works in print preview mode

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.